Page MenuHomePhabricator

Xwayland
Closed, ResolvedPublic

Description

To experience the joy:

Install Firefox in E_WL> Start it > Play internets > Log out > Weston > Start firefox > Play internets > Compare.

ApB created this task.Jun 20 2017, 12:07 PM
zmike triaged this task as Pending on user input priority.Jun 20 2017, 12:11 PM

I'm not interested in playing hide and seek with the details of a ticket.

ApB added a comment.Jun 20 2017, 12:13 PM

It wasn't my intent to hide bugs from you. You will see the input issues menus disappearing, popups stealing focus. In any way weston works much better to what we have in E.

ApB raised the priority of this task from Pending on user input to Incoming Queue.Jun 20 2017, 12:25 PM

Also one observation from my stable setup (running stable efl and E). Firefox (xwayland) in weston runs accelerated, Firefox on E_WL is slow AF and unaccelerated. WebGL works on Weston doesn't work on E_WL.

ApB added a comment.Jul 1 2017, 2:36 AM

One more thing to try/solve.

Open two or three tabs and try to move them around with the mouse. Seems to behave better on Weston than in E.

ApB added a comment.Jul 2 2017, 2:40 AM

Another one.

firefox open two/three tabs > close from the x > click cancel on the notification that says you are trying to close multiple tabs.> you have no pointer.

zmike added a comment.Aug 15 2017, 1:01 PM
In T5593#90176, @ApB wrote:

Another one.

firefox open two/three tabs > close from the x > click cancel on the notification that says you are trying to close multiple tabs.> you have no pointer.

This seems like some kind of xwayland issue; I get a ton of requests to set the cursor to various things and the last one sets a blank cursor. Not a lot I can do about it...

ApB added a comment.Aug 15 2017, 1:07 PM
In T5593#94761, @zmike wrote:
In T5593#90176, @ApB wrote:

Another one.

firefox open two/three tabs > close from the x > click cancel on the notification that says you are trying to close multiple tabs.> you have no pointer.

This seems like some kind of xwayland issue; I get a ton of requests to set the cursor to various things and the last one sets a blank cursor. Not a lot I can do about it...

This works on latest weston. Just tested.

ApB added a comment.Aug 19 2017, 3:26 AM

ONe thing i see on my main setup with stable is that windows of x_wl apps sometimes open in the place on another x_wl win. I don't know what triggers it but happens frequently. Ie you open a new firefox win and it will open in the VD you had another x_wl app running. Like it remembers the last app size and position.

I can't test this on the git machine but might worth looking into it :/

ApB added a comment.Aug 19 2017, 11:55 AM

got this cut pasting a link from the url bar in ff to terminology. cant rep reliablly but in case the bt shows something i leave it here

[New LWP 484]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/enlightenment'.
Program terminated with signal SIGABRT, Aborted.
#0  0xb77c6cd9 in __kernel_vsyscall ()
[Current thread is 1 (Thread 0xb570bd00 (LWP 472))]
(gdb) bt
#0  0xb77c6cd9 in __kernel_vsyscall ()
#1  0xb6a232a2 in raise () at /usr/lib/libc.so.6
#2  0xb6a24a08 in abort () at /usr/lib/libc.so.6
#3  0xb76c8ae6 in eina_log_print_unlocked (domain=, level=, file=, fnc=0x604d84  "e_pixmap_client_set", line=603, fmt=0x5f4b1a "ACK!", args=0xbf8a9848 "\031\374k\267") at lib/eina/eina_log.c:1420
#4  0xb76c9e41 in eina_log_print (domain=26, level=EINA_LOG_LEVEL_CRITICAL, file=0x604bc0 "../src/bin/e_pixmap.c", fnc=0x604d84  "e_pixmap_client_set", line=603, fmt=0x5f4b1a "ACK!")
    at lib/eina/eina_log.c:2259
#5  0x00585b51 in e_pixmap_client_set (cp=0x1f34990, ec=0x1ecf048) at ../src/bin/e_pixmap.c:603
#6  0x004dbaf8 in e_client_new (cp=, first_map=, internal=) at ../src/bin/e_client.c:2642
#7  0x005dd3f2 in _e_comp_x_client_new (win=, first=) at ../src/bin/e_comp_x.c:882
#8  0x005e91e7 in _e_comp_x_show (data=0x0, type=271, ev=0x1093b78) at ../src/bin/e_comp_x.c:1502
#9  0xb75ebb66 in _ecore_call_handler_cb (event=, type=, data=, func=) at lib/ecore/ecore_private.h:325
#10 0xb75ebb66 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#11 0xb75f3c97 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2398
#12 0xb75f40c7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#13 0x004baf73 in main (argc=, argv=) at ../src/bin/e_main.c:1088
(gdb) bt
ApB added a comment.Sep 14 2017, 12:53 PM

I have a mouse with forward and backward buttons for browsing. Those don't work on xwayland with E. They work on weston.

ApB added a comment.Sep 15 2017, 4:01 PM

Regarding cursors not showing up the problem becomes more obvious in apps like Inkscape or a CAD program like Draftsight.

They both work ok in weston.

ApB added a comment.Sep 19 2017, 5:55 AM

ONe more thing i noticed with Firefox (on alpha)

If you rclick on a link there are many cases that the menu doesn't appear. Shows on the pager as a black square but not on the screen.

ApB added a comment.Sep 19 2017, 8:03 AM
In T5593#98809, @ApB wrote:

ONe more thing i noticed with Firefox (on alpha)

If you rclick on a link there are many cases that the menu doesn't appear. Shows on the pager as a black square but not on the screen.

To add to the above. Tooltips (ie hover the mouse over a tab) don't show up. The main window loses focus (indicating they open) but they don't appear on the screen.

zmike moved this task from Backlog to Active on the enlightenment-git board.Oct 2 2017, 8:58 AM
zmike added a comment.Oct 10 2017, 5:25 AM

My wip branch currently contains a patch which may resolve all of your window visibility issues.

ApB added a comment.Oct 24 2017, 1:08 AM

First and foremost -which rendered my main machine useless- it crashes E everytime you move your mouse from the bottom of a window in and out of its area. Can rep it with Firefox Thunderbird Spotify VLC.

Second. Everytime firefox opens a secondary window. (ie where to save or closing ,ultiple tabs) if you cancel it and go back to FF you have no input there.

Really not a fan of omnibus bug tickets.

ApB added a comment.Oct 24 2017, 12:13 PM

Really not a fan of omnibus bug tickets.

I am not fan of bugs in general ?

From Xwayland related crashes only the logout remains i think. Open a few windows (various apps xwayland stuff included) and system>logout. Crashes.

I'd also like to have fwd/back buttons working in Firefox but i can live with that.

The logout crash should be fixed in zmike's wip branch now, I can no longer reproduce.

ApB added a comment.Oct 24 2017, 2:22 PM

NIce. Would be even nicer if mike made a release tomorrow so we can test other stuff without E crashing by sneezing near it.

zmike added a comment.Oct 25 2017, 7:32 AM
In T5593#102651, @ApB wrote:

NIce. Would be even nicer if mike made a release tomorrow so we can test other stuff without E crashing by sneezing near it.

Not happening. You're beginning to strain my patience.

zmike closed this task as Resolved.Oct 30 2017, 7:36 AM

All items here have been resolved, create new tickets if further issues are discovered.